Subject: Re: cron won't execute tasks
From: Robert Pollard <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Oct 2004 09:13:02 -0700

On Oct 29, 2004, at 5:27 AM, Dave Korn wrote:

>> -----Original Message-----
>> From: cygwin-owner On Behalf Of Igor Pechtchanski
>> Sent: 29 October 2004 01:47
>
>> On Thu, 28 Oct 2004, Robert Pollard wrote:
>
>>> Cron will not execute every minute now.  I have a scheduled
>> task that does
>>> something like "* * * * * /bin/echo "Test" >/dev/null
>> 1>/TestAct.log"  It
>>> doesn't execute at all.
>>
>> Exactly how do you know that it doesn't execute?  I hope not
>> by the lack
>> of output in /TestAct.log, because the above command will
>> *never* write
>> anything to /TestAct.log...  It should change the mod time on
>> it, though.
>> :-)
>
>   Heh, that was my first thought when I saw "echo >/dev/null", but
> redirections are applied in the order they appear on the command line, 
> and
> so stdout gets redirected first to /dev/null, then the 1> redirects it 
> again
> to the file.  Try it, it really works:

Thank you!  ;-)  I understand the first redirection to be what to do 
with the email output.  I don't want it to send an email.

>
> dk@mace ~/test> ls -lart
> total 0
> drwxrwxrwx+  13 dk       Domain U        0 Oct 29 10:43 ..
> drwxr-xr-x+   2 dk       Domain U        0 Oct 29 10:43 .
> dk@mace ~/test> /bin/echo "Test" >/dev/null 1>TestAct.log
> dk@mace ~/test> ls -lart
> total 1
> drwxrwxrwx+  13 dk       Domain U        0 Oct 29 10:43 ..
> -rw-r--r--    1 dk       Domain U        5 Oct 29 10:43 TestAct.log
> drwxr-xr-x+   2 dk       Domain U        0 Oct 29 10:43 .
> dk@mace ~/test> cat TestAct.log
> Test
> dk@mace ~/test>
>
>>> Although, it wouldn't execute the scripts because it couldn't switch
>>> user context.
>>
>> mkpasswd -d -u DomainUserName >> /etc/passwd
>>
>> You may also need to do something for groups, e.g.,
>>
>> mkgroup -d >> /etc/group
>
>
>   You forgot to mention cron-diagnose.sh!  I think 1.7 is the most 
> recent.

Okay, I'll try this.  I did take a look at it but didn't seem to be 
something that would be able to tell me why cron doesn't execute at 
all.

Thanks!

>
> http://sources.redhat.com/ml/cygwin/2004-07/msg00207.html
>
>     cheers,
>       DaveK
> -- 
> Can't think of a witty .sigline today....
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/